/*********************************************************
 * Written by : Midhun S
 * Date : 25-08-2019
 * This program displays the encoder counts on TeensyView
 ********************************************************/

#include <Encoder.h>
#include <TeensyView.h>

#define PIN_RESET 15
#define PIN_DC    21
#define PIN_CS    20
#define PIN_SCK   13
#define PIN_MOSI  11

Encoder left(4,0);
Encoder right(9,27);
TeensyView oled(PIN_RESET, PIN_DC, PIN_CS, PIN_SCK, PIN_MOSI);

void setup() 
{
  oled.begin();
  oled.clear(PAGE);
  oled.flipVertical(1);
  oled.flipHorizontal(1);
  oled.display();
}

long oldLeft  = -999;
long oldRight  = -999;

void loop()
{
  long newLeft = left.read();
  long newRight = right.read();
  if (newLeft != oldLeft || newRight != oldRight)
  {
    oldLeft = newLeft;
    oldRight = newRight;
    oled.clear(PAGE);
    oled.setCursor(0,0);
    oled.print(newLeft);
    oled.print(",");
    oled.print(newRight);
    oled.display();
  }
}
